#!/usr/bin/perl -wT
use DBI;
use strict;

my $dbdriver  = $ARGV[0];
my $db        = $ARGV[1];
my $dbuser    = $ARGV[2];
my $dbpasswd  = $ARGV[3];
my $dbtable   = $ARGV[4];
my $condition = $ARGV[5];

my @row_array;

my $TOO_FEW_ARGS_ERROR_MSG = qq(
-----------------------------ERROR------------------------------
NOT ENOUGH ARGUMENTS
dbquery.pl usage: dbquery.pl DBDRIVER DB DBUSER DBPASSWORD DBTABLE 
"CONDITION"
NOTE: DBDIVER is usually "mysql" but it can be other things like 
"oracle".
	  EXAMPLE: dbquery.pl mysql databas...
NOTE: The total CONDITION must be in quotes with the matching data 
in single quotes. 
      EXAMPLE: "product LIKE 'bicycle'"
---------------------------END ERROR----------------------------

);

my $TOO_MANT_ARGS_ERROR_MSG = qq(
-----------------------------ERROR------------------------------
TOO MANY ARGUMENTS
dbquery.pl usage: dbquery.pl DBDRIVER DB DBUSER DBPASSWORD DBTABLE "CONDITION"
NOTE: DBDIVER is usually "mysql" but it can be other things like "oracle".
	  EXAMPLE: dbquery.pl mysql databas...
NOTE: The total CONDITION must be in quotes with the matching data in single quotes. 
	  EXAMPLE: "product LIKE 'bicycle'"
---------------------------END ERROR----------------------------

);

sub main
{
	if ($#ARGV <= 4)
	{
		print $TOO_FEW_ARGS_ERROR_MSG;
		exit;
	}

	if ($#ARGV >= 5)
	{
		print $TOO_MANY_ARGS_ERROR_MSG;
		exit;
	}

	my $dbh = DBI->connect( "DBI:$dbdriver:$db", $dbuser, $dbpasswd, )
	  || die "Database connection not made: $DBI::errstr";

	my $sth = $dbh->prepare("SELECT * FROM $dbtable WHERE $condition")
	  or die $dbh->errstr;
	$sth->execute() or die $dbh->errstr;

	while ( my @row_array = $sth->fetchrow_array )
	{
		print "$row_array[0], $row_array[1], $row_array[2] \n";
	}
	$dbh->disconnect();
}
